Skip to main content
POST
/
graphql#ListImportConfigurations
List import configurations
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListImportConfigurations' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: ImportConfigurationFilterType) { import_configurations { all(filter: $filter) { edges { node { id name parser failure_strategy created_at } } } } }"
}
'
{
  "data": {
    "import_configurations": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1",
              "name": "Acme Orders CSV",
              "parser": "csv",
              "failure_strategy": "skip_resource",
              "created_at": "2026-01-10T12:00:00Z"
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: ImportConfigurationFilterType) {
  import_configurations {
    all(filter: $filter) {
      edges {
        node {
          id
          name
          parser
          failure_strategy
          created_at
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each field accepts an input object with operators.

Available Filters

FilterInput TypeOperatorsDescription
nameStringInputTypeeq, ilike, like, in, betweenConfiguration name
parserParserInputTypeeqxml, headless_csv, csv, edi, txt
failure_strategyFailureStrategyInputTypeeqskip_resource or abort
created_atDatetimeInputTypeeq, from, to, betweenCreation time
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: ImportConfigurationFilterType) { import_configurations { all(filter: $filter) { edges { node { id name parser failure_strategy created_at } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "parser": { "eq": "csv" } } }

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any